%define ttfdir1 %_x11libdir/X11/fonts/chinese-ttf-big5
%define ttfdir2 %_x11libdir/X11/fonts/chinese-ttf-gb2312

Name: chinese-fonts-ttf
Version: 1.0
Release: alt2
Packager: Vyacheslav Dikonov <slava@altlinux.ru>

Summary: Free Chinese TrueType fonts
Summary (ru_RU.UTF-8): Китайские TrueType шрифты
License: GPL-like (see arphicpl.txt)
Group: System/Fonts/True type
Url: ftp://linux.tmtc.edu.tw/pub/arphic
Source: fonts-ttf-chinese.tar.bz2
BuildArch: noarch
PreReq: chkfontpath freetype fontconfig perl-base

BuildRequires: freetype
%description
This Package provides free Chinese TrueType fonts.

%description -l ru_RU.UTF-8
В пакете находятся китайские TrueType шрифты.

%prep
%setup -q -n fonts-ttf-chinese

%build
mkdir -p big5-doc && cp arphicpl.txt big5-doc
mkdir -p gb2312-doc && cp arphicpl.txt gb2312-doc

%install
# Big5
mkdir -p $RPM_BUILD_ROOT%ttfdir1
install -p -m644 b*.ttf $RPM_BUILD_ROOT%ttfdir1
cd $RPM_BUILD_ROOT%ttfdir1
%_sbindir/ttmkfdir -o ./fonts.dir >& /dev/null
ln -s %_sysconfdir/X11/encodings.dir encodings.dir
 touch fonts.cache-1
cd -

# Gb2312
mkdir -p $RPM_BUILD_ROOT%ttfdir2
install -p -m644 g*.ttf $RPM_BUILD_ROOT%ttfdir2
cd $RPM_BUILD_ROOT%ttfdir2
%_sbindir/ttmkfdir -o ./fonts.dir >& /dev/null
ln -s %_sysconfdir/X11/encodings.dir encodings.dir
 touch fonts.cache-1
cd -

%package big5
Summary: Chinese (Big5) TrueType fonts
Summary (ru_RU.UTF-8): Китайские (Big5) TrueType шрифты
License: GPL-like (see arphicpl.txt)
Group: System/Fonts/True type

%description big5
Chinese (Big5 encoded) TrueType Fonts donated by Arphic company.

%description big5 -l ru_RU.UTF-8
Китайские TrueType шрифты (кодировка Big5), от фирмы Arphic

%post big5
%_bindir/fc-cache %ttfdir1
/usr/sbin/chkfontpath -q --add %ttfdir1
if [ -x /usr/bin/gnome-font-install ]; then
  perl %_datadir/fonts/run-gnome-font-install \
	%_bindir/gnome-font-install %_datadir %_datadir > /dev/null 2>&1
fi
if [ -x /usr/bin/libgnomeprint-2.0-font-install ]; then
   %_bindir/libgnomeprint-2.0-font-install --smart > /dev/null 2>&1
fi

%postun big5
if [ "$1" = 0 ]; then
	/usr/sbin/chkfontpath -q --remove %ttfdir1
fi

%files big5
%ttfdir1
%doc big5-doc/*

%package gb2312
Summary: Chinese (GB2312) TrueType fonts
Summary (ru_RU.UTF-8): Китайские (GB2312) TrueType шрифты
License: GPL-like (see arphicpl.txt)
Group: System/Fonts/True type

%description gb2312
Chinese (GuoBiao 2312 encoded) TrueType Fonts donated by Arphic company.

%description gb2312 -l ru_RU.UTF-8
Китайские TrueType шрифты (кодировка GuoBiao 2312), от фирмы Arphic

%post gb2312
%_bindir/fc-cache %ttfdir2
/usr/sbin/chkfontpath -q --add %ttfdir2
if [ -x /usr/bin/gnome-font-install ]; then
  perl %_datadir/fonts/run-gnome-font-install \
	%_bindir/gnome-font-install %_datadir %_datadir > /dev/null 2>&1
fi
if [ -x /usr/bin/libgnomeprint-2.0-font-install ]; then
   %_bindir/libgnomeprint-2.0-font-install --smart > /dev/null 2>&1
fi

%postun gb2312
if [ "$1" = 0 ]; then
	/usr/sbin/chkfontpath -q --remove %ttfdir2
fi

%files gb2312
%ttfdir2
%doc gb2312-doc/*

%changelog
* Mon Jan 20 2003 Rider <rider@altlinux.ru> 1.0-alt2
- build requires fix (freetype)

* Wed Nov 27 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- ALTLinux build
